Quassel IRC - Feature #550

Appearance ptions
02/12/2009 08:01 AM - SnoFox

Status: New Start date: 02/12/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: Some future release

0S: Any

Description

Quassel could/should have some options for mIRC-style colors, and mode-prefixs. Ex, Ops appear as <@SnoFox> instead of just

<SnoFox>. Either that or the XChat style where they give each nickname a different color. :p

And though it's probably already planned out, timestamps should be customizable, in both format, as well as the brackets that

surround it.

Examples:
[15:30:23] (3:30) [3:30pm]

Related issues:
Has duplicate Quassel IRC - Feature #970: Channel status beside nickname
Has duplicate Quassel IRC - Feature #796: Show user mode symbols in chat window

Closed 05/21/2010
Closed 09/02/2009

History

#1 - 06/09/2009 01:29 PM - pennywise
- File datePatch.diff added

Though it's hardcoded, DataFreak asked for this patch. See added file.

#2 - 06/09/2009 01:37 PM - pennywise
- File datePatch2.diff added

2nd try.

#3 - 05/23/2010 12:19 AM - flamingspinach

By the way, all this has been implemented at present, except for modechars (afaik).

#4 - 02/05/2011 05:39 AM - kode54
- File modeprefix.patch added

This is hardcoded, too, but it works.

#5 - 03/01/2012 11:23 AM - Anonymous

- Target version set to Some future release

https://qitorious.org/quassel/quassel/merge_requests/132

#6 - 05/17/2014 12:04 PM - gry

URL 404

Files

example.png 2.58 KB 02/12/2009 SnoFox
datePatch.diff 534 Bytes 06/09/2009 pennywise
datePatch2.diff 578 Bytes 06/09/2009 pennywise
https://gitorious.org/quassel/quassel/merge_requests/132

modeprefix.patch 2.56 KB 02/05/2011 kode54

07/17/2025 22


http://www.tcpdf.org

